diff --git a/src/main/java/net/minecraft/core/item/block/BlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlock.java
similarity index 89%
rename from src/main/java/net/minecraft/core/item/block/BlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlock.java
index 99910e11a..74beedb28 100644
--- a/src/main/java/net/minecraft/core/item/block/BlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlock.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.item.block;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
@@ -18,12 +18,12 @@ import java.util.Random;
 //            Item, Block, World, ItemStack, 
 //            Material, StepSound, Player
 
-public class BlockItem extends Item
+public class ItemBlock extends Item
 {
 
     protected int blockID;
 
-    public BlockItem(Block block)
+    public ItemBlock(Block block)
     {
         super(block.namespaceID, block.id);
         blockID = block.id;
@@ -66,7 +66,7 @@ public class BlockItem extends Item
 	}
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         int x = blockX + direction.getOffsetX();
         int y = blockY + direction.getOffsetY();
         int z = blockZ + direction.getOffsetZ();
diff --git a/src/main/java/net/minecraft/core/item/block/AlgaeBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
similarity index 91%
rename from src/main/java/net/minecraft/core/item/block/AlgaeBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
index 8291ede68..886c102e7 100644
--- a/src/main/java/net/minecraft/core/item/block/AlgaeBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
@@ -4,7 +4,7 @@ package net.minecraft.core.item.block;
 //            World, MovingObjectPosition, EnumMovingObjectType, Block, 
 //            BoatEntity, ItemStack
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
@@ -21,10 +21,10 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-public class AlgaeBlockItem extends BlockItem
+public class ItemBlockAlgae extends ItemBlock
 {
 
-    public AlgaeBlockItem(Block block)
+    public ItemBlockAlgae(Block block)
     {
         super(block);
         setMaxDamage(0);
@@ -90,7 +90,7 @@ public class AlgaeBlockItem extends BlockItem
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         int x = blockX + direction.getOffsetX();
         int y = blockY + direction.getOffsetY();
         int z = blockZ + direction.getOffsetZ();
diff --git a/src/main/java/net/minecraft/core/item/block/LadderBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java
similarity index 92%
rename from src/main/java/net/minecraft/core/item/block/LadderBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java
index e869e8d75..241346bb3 100644
--- a/src/main/java/net/minecraft/core/item/block/LadderBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.item.block;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.LadderBlock;
+import net.minecraft.core.block.BlockLadder;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.item.ItemStack;
@@ -9,11 +9,11 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class LadderBlockItem extends BlockItem {
+public class ItemBlockLadder extends ItemBlock {
 
-	private LadderBlock ladderBlock;
+	private BlockLadder ladderBlock;
 	
-	public LadderBlockItem(LadderBlock block) {
+	public ItemBlockLadder(BlockLadder block) {
 		super(block);
 		
 		this.ladderBlock = block;
diff --git a/src/main/java/net/minecraft/core/item/block/LampBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockLamp.java
similarity index 90%
rename from src/main/java/net/minecraft/core/item/block/LampBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockLamp.java
index 5eb27fa99..4414c2bb8 100644
--- a/src/main/java/net/minecraft/core/item/block/LampBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockLamp.java
@@ -8,10 +8,10 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class LampBlockItem extends BlockItem
+public class ItemBlockLamp extends ItemBlock
 {
 
-    public LampBlockItem(Block block)
+    public ItemBlockLamp(Block block)
     {
         super(block);
         setMaxDamage(0);
diff --git a/src/main/java/net/minecraft/core/item/block/LayerBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java
similarity index 94%
rename from src/main/java/net/minecraft/core/item/block/LayerBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java
index 07c63d6c2..affd673c0 100644
--- a/src/main/java/net/minecraft/core/item/block/LayerBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.item.block;
 
-import net.minecraft.core.block.BaseLayerBlock;
+import net.minecraft.core.block.BlockLayerBase;
 
 // Referenced classes of package net.minecraft.src:
 //            Item, Block, World, ItemStack,
@@ -17,9 +17,9 @@ import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
 
-public class LayerBlockItem extends BlockItem
+public class ItemBlockLayer extends ItemBlock
 {
-	public LayerBlockItem(Block block)
+	public ItemBlockLayer(Block block)
 	{
 		super(block);
 	}
@@ -47,7 +47,7 @@ public class LayerBlockItem extends BlockItem
 		if (id == blockID && side == Side.TOP)
 		{
 
-			final BaseLayerBlock blockLayer = (BaseLayerBlock) Block.blocksList[blockID];
+			final BlockLayerBase blockLayer = (BlockLayerBase) Block.blocksList[blockID];
 
 			final int newMeta = meta + 1;
 
@@ -92,7 +92,7 @@ public class LayerBlockItem extends BlockItem
 		if (id == blockID)
 		{
 
-			final BaseLayerBlock blockLayer = (BaseLayerBlock) Block.blocksList[blockID];
+			final BlockLayerBase blockLayer = (BlockLayerBase) Block.blocksList[blockID];
 
 			final int newMeta = meta + 1;
 
diff --git a/src/main/java/net/minecraft/core/item/block/LeavesLayerBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockLayerLeaves.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/block/LeavesLayerBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockLayerLeaves.java
index 0a6e9342a..3a1342694 100644
--- a/src/main/java/net/minecraft/core/item/block/LeavesLayerBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockLayerLeaves.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.item.block;
 
-import net.minecraft.core.block.BaseLayerBlock;
-import net.minecraft.core.block.BaseLeavesBlock;
+import net.minecraft.core.block.BlockLayerBase;
+import net.minecraft.core.block.BlockLeavesBase;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.LeavesLayerBlock;
+import net.minecraft.core.block.BlockLayerLeaves;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
@@ -13,9 +13,9 @@ import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class LeavesLayerBlockItem extends BlockItem
+public class ItemBlockLayerLeaves extends ItemBlock
 {
-	public LeavesLayerBlockItem(Block block)
+	public ItemBlockLayerLeaves(Block block)
 	{
 		super(block);
 	}
@@ -43,7 +43,7 @@ public class LeavesLayerBlockItem extends BlockItem
 		if (id == blockID && side == Side.TOP)
 		{
 
-			final BaseLayerBlock blockLayer = (BaseLayerBlock) Block.blocksList[blockID];
+			final BlockLayerBase blockLayer = (BlockLayerBase) Block.blocksList[blockID];
 
 			final int newMeta = meta + 1;
 
@@ -55,17 +55,17 @@ public class LeavesLayerBlockItem extends BlockItem
 
 			if ((newMeta & 0b00001111) < 7)
 			{
-				world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockID, LeavesLayerBlock.setPermanent(newMeta, true));
+				world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockID, BlockLayerLeaves.setPermanent(newMeta, true));
 			}
 			else
 			{
 				if (blockLayer.getFullBlockID() != -1)
 				{
-					world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockLayer.getFullBlockID(), BaseLeavesBlock.setPermanent(0, true));
+					world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockLayer.getFullBlockID(), BlockLeavesBase.setPermanent(0, true));
 				}
 				else
 				{
-					world.setBlockAndMetadataWithNotify(blockX, blockY + 1, blockZ, blockID, LeavesLayerBlock.setPermanent(0, true));
+					world.setBlockAndMetadataWithNotify(blockX, blockY + 1, blockZ, blockID, BlockLayerLeaves.setPermanent(0, true));
 				}
 			}
 			world.playBlockSoundEffect(player, blockX + 0.5F, blockY + 0.5F, blockZ + 0.5F, blockLayer, EnumBlockSoundEffectType.PLACE);
@@ -88,7 +88,7 @@ public class LeavesLayerBlockItem extends BlockItem
 		if (id == blockID)
 		{
 
-			final BaseLayerBlock blockLayer = (BaseLayerBlock) Block.blocksList[blockID];
+			final BlockLayerBase blockLayer = (BlockLayerBase) Block.blocksList[blockID];
 
 			final int newMeta = meta + 1;
 
@@ -100,17 +100,17 @@ public class LeavesLayerBlockItem extends BlockItem
 
 			if ((newMeta & 0b00001111) < 7)
 			{
-				world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockID, LeavesLayerBlock.setPermanent(newMeta, true));
+				world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockID, BlockLayerLeaves.setPermanent(newMeta, true));
 			}
 			else
 			{
 				if (blockLayer.getFullBlockID() != -1)
 				{
-					world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockLayer.getFullBlockID(), BaseLeavesBlock.setPermanent(0, true));
+					world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, blockLayer.getFullBlockID(), BlockLeavesBase.setPermanent(0, true));
 				}
 				else
 				{
-					world.setBlockAndMetadataWithNotify(blockX, blockY + 1, blockZ, blockID, LeavesLayerBlock.setPermanent(0, true));
+					world.setBlockAndMetadataWithNotify(blockX, blockY + 1, blockZ, blockID, BlockLayerLeaves.setPermanent(0, true));
 				}
 			}
 			world.playBlockSoundEffect(player, blockX + 0.5F, blockY + 0.5F, blockZ + 0.5F, blockLayer, EnumBlockSoundEffectType.PLACE);
@@ -141,7 +141,7 @@ public class LeavesLayerBlockItem extends BlockItem
 	
 	@Override
 	public int getPlacedBlockMetadata(@Nullable Player player, ItemStack stack, World world, int x, int y, int z, Side side, double xPlaced, double yPlaced) {
-		return LeavesLayerBlock.MASK_PERMANENT;
+		return BlockLayerLeaves.MASK_PERMANENT;
 	}
 
 }
diff --git a/src/main/java/net/minecraft/core/item/block/PaintedBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockPainted.java
similarity index 86%
rename from src/main/java/net/minecraft/core/item/block/PaintedBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockPainted.java
index 1d6c38d55..d69af94ac 100644
--- a/src/main/java/net/minecraft/core/item/block/PaintedBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockPainted.java
@@ -4,11 +4,11 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.DyeColor;
 
-public class PaintedBlockItem extends BlockItem
+public class ItemBlockPainted extends ItemBlock
 {
 	private final boolean upperMetadata;
 	
-    public PaintedBlockItem(Block block, boolean upperMetadata)
+    public ItemBlockPainted(Block block, boolean upperMetadata)
     {
         super(block);
         setMaxDamage(0);
diff --git a/src/main/java/net/minecraft/core/item/block/SlabBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockSlab.java
similarity index 98%
rename from src/main/java/net/minecraft/core/item/block/SlabBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockSlab.java
index 057849ee2..f6cddd9a9 100644
--- a/src/main/java/net/minecraft/core/item/block/SlabBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockSlab.java
@@ -10,10 +10,10 @@ import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class SlabBlockItem extends BlockItem
+public class ItemBlockSlab extends ItemBlock
 {
 
-    public SlabBlockItem(Block block)
+    public ItemBlockSlab(Block block)
     {
         super(block);
     }
diff --git a/src/main/java/net/minecraft/core/item/block/PaintedSlabBlockItem.java b/src/main/java/net/minecraft/core/item/block/ItemBlockSlabPainted.java
similarity index 87%
rename from src/main/java/net/minecraft/core/item/block/PaintedSlabBlockItem.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockSlabPainted.java
index 6ff077e1a..b5cfe3993 100644
--- a/src/main/java/net/minecraft/core/item/block/PaintedSlabBlockItem.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockSlabPainted.java
@@ -4,11 +4,11 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.DyeColor;
 
-public class PaintedSlabBlockItem extends SlabBlockItem
+public class ItemBlockSlabPainted extends ItemBlockSlab
 {
 	private final boolean upperMetadata;
 	
-    public PaintedSlabBlockItem(Block block)
+    public ItemBlockSlabPainted(Block block)
     {
         super(block);
         setMaxDamage(0);
diff --git a/src/main/java/net/minecraft/core/item/block/BlockItemStairsPainted.java b/src/main/java/net/minecraft/core/item/block/ItemBlockStairsPainted.java
similarity index 88%
rename from src/main/java/net/minecraft/core/item/block/BlockItemStairsPainted.java
rename to src/main/java/net/minecraft/core/item/block/ItemBlockStairsPainted.java
index c275a0a64..0cfa3c679 100644
--- a/src/main/java/net/minecraft/core/item/block/BlockItemStairsPainted.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockStairsPainted.java
@@ -7,10 +7,10 @@ import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class BlockItemStairsPainted extends BlockItem
+public class ItemBlockStairsPainted extends ItemBlock
 {
 
-    public BlockItemStairsPainted(Block block)
+    public ItemBlockStairsPainted(Block block)
     {
         super(block);
         setMaxDamage(0);
diff --git a/src/main/java/net/minecraft/core/item/tool/ToolItem.java b/src/main/java/net/minecraft/core/item/tool/ItemTool.java
similarity index 94%
rename from src/main/java/net/minecraft/core/item/tool/ToolItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemTool.java
index 36cd267a3..ad9534899 100644
--- a/src/main/java/net/minecraft/core/item/tool/ToolItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemTool.java
@@ -11,7 +11,7 @@ import net.minecraft.core.item.tag.ItemTags;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class ToolItem extends Item
+public class ItemTool extends Item
 {
 
 	private final Tag<Block> tagEffectiveAgainst;
@@ -19,7 +19,7 @@ public class ToolItem extends Item
 	protected ToolMaterial material;
 
 	@SuppressWarnings("unchecked")
-	protected ToolItem(String name, String namespaceId, int id, int damageDealt, ToolMaterial toolMaterial, Tag<Block> tagEffectiveAgainst) {
+	protected ItemTool(String name, String namespaceId, int id, int damageDealt, ToolMaterial toolMaterial, Tag<Block> tagEffectiveAgainst) {
 		super(name, namespaceId, id);
 		this.material = toolMaterial;
 		this.tagEffectiveAgainst = tagEffectiveAgainst;
diff --git a/src/main/java/net/minecraft/core/item/tool/AxeToolItem.java b/src/main/java/net/minecraft/core/item/tool/ItemToolAxe.java
similarity index 86%
rename from src/main/java/net/minecraft/core/item/tool/AxeToolItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemToolAxe.java
index 12ce33833..2e57468d3 100644
--- a/src/main/java/net/minecraft/core/item/tool/AxeToolItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolAxe.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.item.tool;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.LogBlock;
+import net.minecraft.core.block.BlockLog;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.data.gamerule.GameRules;
 import net.minecraft.core.data.gamerule.TreecapitatorHelper;
@@ -12,10 +12,10 @@ import net.minecraft.core.item.material.ToolMaterial;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class AxeToolItem extends ToolItem
+public class ItemToolAxe extends ItemTool
 {
 
-    public AxeToolItem(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
+    public ItemToolAxe(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
     {
         super(name, namespaceId, id, 3, enumtoolmaterial, BlockTags.MINEABLE_BY_AXE);
     }
@@ -31,7 +31,7 @@ public class AxeToolItem extends ToolItem
     {
     	if(!world.isClientSide && world.getGameRuleValue(GameRules.TREECAPITATOR) && !player.isSneaking()) {
     		int id = world.getBlockId(x, y, z);
-    		if(Block.getBlock(id) instanceof LogBlock) {
+    		if(Block.getBlock(id) instanceof BlockLog) {
             	return !new TreecapitatorHelper(world, x, y, z, player).chopTree();
     		}
     	}
diff --git a/src/main/java/net/minecraft/core/item/tool/HoeToolItem.java b/src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java
similarity index 90%
rename from src/main/java/net/minecraft/core/item/tool/HoeToolItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java
index 6ac7533ee..48c29304a 100644
--- a/src/main/java/net/minecraft/core/item/tool/HoeToolItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java
@@ -2,7 +2,7 @@ package net.minecraft.core.item.tool;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
@@ -22,9 +22,9 @@ import java.util.Random;
 //            Item, EnumToolMaterial, World, Block, 
 //            GrassBlock, StepSound, ItemStack, Player
 
-public class HoeToolItem extends ToolItem
+public class ItemToolHoe extends ItemTool
 {
-    public HoeToolItem(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
+    public ItemToolHoe(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
     {
         super(name, namespaceId, id, 3, enumtoolmaterial, BlockTags.MINEABLE_BY_HOE);
         maxStackSize = 1;
@@ -76,7 +76,7 @@ public class HoeToolItem extends ToolItem
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         till(itemStack, null, world, blockX + direction.getOffsetX(), blockY + direction.getOffsetY(), blockZ + direction.getOffsetZ(), direction.getSide());
     }
 
diff --git a/src/main/java/net/minecraft/core/item/tool/PickaxeToolItem.java b/src/main/java/net/minecraft/core/item/tool/ItemToolPickaxe.java
similarity index 95%
rename from src/main/java/net/minecraft/core/item/tool/PickaxeToolItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemToolPickaxe.java
index 9a78639d1..4bea3675b 100644
--- a/src/main/java/net/minecraft/core/item/tool/PickaxeToolItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolPickaxe.java
@@ -10,7 +10,7 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.material.ToolMaterial;
 
-public class PickaxeToolItem extends ToolItem {
+public class ItemToolPickaxe extends ItemTool {
 	
 	public static Map<Block, Integer> miningLevels = new HashMap<>();
 	
@@ -56,7 +56,7 @@ public class PickaxeToolItem extends ToolItem {
 		miningLevels.put(Blocks.ORE_REDSTONE_GLOWING_LIMESTONE, 2);
 	}
 	
-	public PickaxeToolItem(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial) {
+	public ItemToolPickaxe(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial) {
 		super(name, namespaceId, id, 2, enumtoolmaterial, BlockTags.MINEABLE_BY_PICKAXE);
 	}
 
diff --git a/src/main/java/net/minecraft/core/item/ToolShearsItem.java b/src/main/java/net/minecraft/core/item/tool/ItemToolShears.java
similarity index 66%
rename from src/main/java/net/minecraft/core/item/ToolShearsItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemToolShears.java
index 851a813b9..f501e1ed5 100644
--- a/src/main/java/net/minecraft/core/item/ToolShearsItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolShears.java
@@ -1,32 +1,32 @@
-package net.minecraft.core.item;
+package net.minecraft.core.item.tool;
 
 
 // Referenced classes of package net.minecraft.src:
 //            Item, Block, BlockLeaves, ItemStack, 
 //            Mob
 
-import net.minecraft.core.block.BaseLeavesBlock;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.BlockLeavesBase;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.MobSheep;
+import net.minecraft.core.item.Item;
+import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.material.ToolMaterial;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.phys.AABB;
-import net.minecraft.core.util.phys.HitResult;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 
 import java.util.List;
 import java.util.Random;
 
-public class ToolShearsItem extends Item
+public class ItemToolShears extends Item
 {
 
-    public ToolShearsItem(String name, String namespaceId, int id, ToolMaterial material)
+    public ItemToolShears(String name, String namespaceId, int id, ToolMaterial material)
     {
         super(name, namespaceId, id);
         setMaxStackSize(1);
@@ -46,7 +46,7 @@ public class ToolShearsItem extends Item
     @Override
     public float getStrVsBlock(ItemStack itemstack, Block block)
     {
-        if(block.id == Blocks.COBWEB.id || block instanceof BaseLeavesBlock)
+        if(block.id == Blocks.COBWEB.id || block instanceof BlockLeavesBase)
         {
             return 15F;
         }
@@ -59,14 +59,14 @@ public class ToolShearsItem extends Item
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         blockX += direction.getOffsetX();
         blockY += direction.getOffsetY();
         blockZ += direction.getOffsetZ();
         AABB box = AABB.getTemporaryBB(blockX, blockY, blockZ, blockX + 1, blockY + 1, blockZ + 1);
-        List<Entity> entities = world.getEntitiesWithinAABB(SheepMob.class, box);
+        List<Entity> entities = world.getEntitiesWithinAABB(MobSheep.class, box);
         if (!entities.isEmpty()) {
-            ((SheepMob)(entities.get(0))).onItemInteract(itemStack);
+            ((MobSheep)(entities.get(0))).onItemInteract(itemStack);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/item/tool/ShovelToolItem.java b/src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/tool/ShovelToolItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java
index 902650fd2..19d4ee78e 100644
--- a/src/main/java/net/minecraft/core/item/tool/ShovelToolItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java
@@ -2,7 +2,7 @@ package net.minecraft.core.item.tool;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
@@ -17,11 +17,11 @@ import org.jetbrains.annotations.Nullable;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            ToolItem, Block, EnumToolMaterial
+//            ItemTool, Block, EnumToolMaterial
 //updated
-public class ShovelToolItem extends ToolItem
+public class ItemToolShovel extends ItemTool
 {
-    public ShovelToolItem(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
+    public ItemToolShovel(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
     {
         super(name, namespaceId, id, 1, enumtoolmaterial, BlockTags.MINEABLE_BY_SHOVEL);
     }
@@ -55,7 +55,7 @@ public class ShovelToolItem extends ToolItem
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         shovelBlock(itemStack, null, world, blockX + direction.getOffsetX(), blockY + direction.getOffsetY(), blockZ + direction.getOffsetZ(), direction.getSide());
     }
 }
diff --git a/src/main/java/net/minecraft/core/item/tool/SwordToolItem.java b/src/main/java/net/minecraft/core/item/tool/ItemToolSword.java
similarity index 86%
rename from src/main/java/net/minecraft/core/item/tool/SwordToolItem.java
rename to src/main/java/net/minecraft/core/item/tool/ItemToolSword.java
index c199b3f71..0097ce77a 100644
--- a/src/main/java/net/minecraft/core/item/tool/SwordToolItem.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolSword.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.item.tool;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
@@ -19,10 +19,10 @@ import java.util.Random;
 //            Item, EnumToolMaterial, Block, ItemStack, 
 //            Mob, Entity
 
-public class SwordToolItem extends Item
+public class ItemToolSword extends Item
 {
 
-    public SwordToolItem(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
+    public ItemToolSword(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
     {
         super(name, namespaceId, id);
         maxStackSize = 1;
@@ -57,7 +57,7 @@ public class SwordToolItem extends Item
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         blockX += direction.getOffsetX();
         blockY += direction.getOffsetY();
         blockZ += direction.getOffsetZ();
